VST 3 SDK: ParameterChangeTransfer Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Attributes | List of all members
ParameterChangeTransfer Class Reference
Common Hosting SDK Implementation Helper Classes

Ring buffer for transferring parameter changes from a writer to a read thread . More...

`#include <parameterchanges.h>`

## Classes
struct | ParameterChange

## Public Member Functions
| ParameterChangeTransfer (int32 maxParameters=0)
virtual | ~ParameterChangeTransfer ()
void | setMaxParameters (int32 maxParameters)
void | addChange (ParamID pid, ParamValue value, int32 sampleOffset)
bool | getNextChange (ParamID &pid, ParamValue &value, int32 &sampleOffset)
void | transferChangesTo (ParameterChanges &dest)
void | transferChangesFrom (ParameterChanges &source)
void | removeChanges ()

## Protected Attributes
int32 | size
ParameterChange * | changes
volatile int32 | readIndex
volatile int32 | writeIndex

## Detailed Description

Ring buffer for transferring parameter changes from a writer to a read thread .

## Constructor & Destructor Documentation

## ◆ ParameterChangeTransfer()

ParameterChangeTransfer | ( | int32 | maxParameters = 0 | ) |

## ◆ ~ParameterChangeTransfer()

~ParameterChangeTransfer | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ setMaxParameters()

void setMaxParameters | ( | int32 | maxParameters | ) |

## ◆ addChange()

void addChange | ( | ParamID | pid,
|  | ParamValue | value,
|  | int32 | sampleOffset )

## ◆ getNextChange()

bool getNextChange | ( | ParamID & | pid,
|  | ParamValue & | value,
|  | int32 & | sampleOffset )

## ◆ transferChangesTo()

void transferChangesTo | ( | ParameterChanges & | dest | ) |

## ◆ transferChangesFrom()

void transferChangesFrom | ( | ParameterChanges & | source | ) |

## ◆ removeChanges()

void removeChanges | ( |  | ) |
| inline

## Member Data Documentation

## ◆ size

int32 size
| protected

## ◆ changes

ParameterChange* changes
| protected

## ◆ readIndex

volatile int32 readIndex
| protected

## ◆ writeIndex

volatile int32 writeIndex
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.